LFR-FSW - Bug #185

[JIRA] RPWMEB-275 The timecode tickout counter and the last timecode value are not updated in
TM_LFR_HK

18/07/2014 12:27 PM - Veronique bouzid

Status: Closed Start date: 18/07/2014
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0

Description

The parameters HK_LFR_DPU_SPW_TICK_OUT_CNT and HK_LFR_DPU_SPW_LAST_TIMC are not updated in the TM_LFR_HK
packets.

History

#1 - 10/12/2014 04:02 PM - Vincent Leray

Nous sommes en train de faire un bilan Issue MEB sur JIRA avec Gaéle, pouvez vous faire un retour sur cette observation?

#2 - 05/02/2015 09:09 AM - paul leroy
- Status changed from New to Resolved

- Assignee changed from paul leroy to Veronique bouzid

C'est corrigé dans la version en test du soft, 2.0.2.1, compatible avec I'EQM.

#3 - 10/03/2015 01:28 PM - Veronique bouzid

- Status changed from Resolved to Closed

Le point JIRA avait été commenté par Vincent Leray et nous avons ajouté qu'effectivement les 2 champs étaient renseignés.

Par exemple dans le test SVS-0018 , on regarde le fichier 2015_02_16-10_29_05-Detail.txt
On observe sur un des paquets HK que les 2 champs sont correctement renseignés, s'incrémentent correctement (+1) dans leur ensemble de
définition.

10:22:25.525209, TM_LFR_HK, HK_LFR_DPU_SPW_TICK_OUT_CNT=35, HK_LFR_DPU_SPW_LAST_TIMC=35,
10:22:26.525107, TM_LFR_HK, HK_LFR_DPU_SPW_TICK_OUT_CNT=36, HK_LFR_DPU_SPW_LAST_TIMC=36

On observe la remise a zéro du champ HK_LFR_DPU_SPW_LAST_TIMC [0,63] (codé sur 6 bits) (Dans la SSS on a 8 bits).

10:22:53.525324, TM_LFR_HK, HK_LFR_DPU_SPW_TICK_OUT CNT=63, HK_LFR _DPU_SPW_LAST TIMC=63
10:22:54.525326, TM_LFR_HK,HK_LFR_DPU_SPW_TICK_OUT_CNT=64, HK_LFR_DPU_SPW_LAST TIMC=0

On observe la remise a zéro de HK_LFR_DPU_SPW_TICK_OUT_CNT [0, 255] (codé sur 8 bits)

Ici la remise a zéro des 2 compteurs

10:26:05.525845, TM_LFR_HK,HK_LFR_DPU_SPW_TICK_OUT_CNT=255, HK_LFR_DPU_SPW_LAST_TIMC=63
10:26:06.525843, TM_LFR_HK,HK_LFR_DPU_SPW_TICK_OUT_CNT=0, HK_LFR_DPU_SPW_LAST_TIMC=0,

Le script verif_field ne surveillait pas le compteur HK_LFR_DPU_SPW_LAST_TIMC, c est rajouté.

Contexte:

FSW 2.0.2.2

VHDL 1.1.63

EM 1

SocExplorer 0.4.7

StarDundee spacewire

Mini-LFR n°5 en mode TIMEGEN
